%define upstream_name    Crypt-Rot13
%define upstream_version 0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Crypt-Rot13 module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
rot13 is a simple encryption in which ASCII letters are rotated 13 places. This
module provides an array object with methods to encrypt its string elements by
rotating ASCII letters n places down the alphabet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes COPYING README
%{perl_vendorlib}/Crypt/Rot13.pm
%{_mandir}/*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.600.0-10.mga9
+ Revision: 1802713
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.600.0-9.mga8
+ Revision: 1493620
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.600.0-8.mga7
+ Revision: 1266809
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.600.0-7.mga6
+ Revision: 1024638
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.600.0-6.mga6
+ Revision: 948059
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-5.mga5
+ Revision: 742129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.600.0-4.mga5
+ Revision: 684065
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.600.0-3.mga4
+ Revision: 510329
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 364968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.600.0-1.mga1
+ Revision: 10480
- imported package perl-Crypt-Rot13


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2010.1
+ Revision: 504832
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.6-5mdv2010.0
+ Revision: 430391
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.6-4mdv2009.0
+ Revision: 256344
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-2mdv2008.1
+ Revision: 138072
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdk
- initial Mandriva package

